Support » Plugin: Google Analyticator » [Plugin: Google Analyticator] PHP errors

  • Resolved Roswebnet

    (@roswebnet)


    Hi
    After authentication and choosing right Google Analytics UID, I got this errors in dashboard widget and plug-in settings:

    Warning: file_exists() [function.file-exists]: open_basedir restriction in effect. File(/tmp/Google_Client/b6/b6b4f11ab3da86e79c4ef1f5355bac0c.lock) is not within the allowed path(s): (/var/www/g48995/connection2holland.com) in /var/www/g48995/connection2holland.com/HTML/wp-content/plugins/google-analyticator/google-api-php-client/src/cache/Google_FileCache.php on line 37
    
    Warning: file_exists() [function.file-exists]: open_basedir restriction in effect. File(/tmp/Google_Client/b6/b6b4f11ab3da86e79c4ef1f5355bac0c) is not within the allowed path(s): (/var/www/g48995/connection2holland.com) in /var/www/g48995/connection2holland.com/HTML/wp-content/plugins/google-analyticator/google-api-php-client/src/cache/Google_FileCache.php on line 96

    Is something wrong with installation?
    Is it possible to fix?
    Plugin version is 6.3.4

    Regards

    http://wordpress.org/extend/plugins/google-analyticator/

Viewing 9 replies - 1 through 9 (of 9 total)
  • Sorry. The Google API code we use needs to access /tmp for caching.

    There have been 1 or 2 other users with this error. Will have to look into it for a future release – but for now, there ins’t anything I can offer in terms of a patch, sorry

    Ben

    Hi,
    just FYI, I have the same problem, with the same error message… I will have to try some another plugin.
    Thomas

    shyntaxx

    (@shyntaxx)

    Why in Earth would you change the authenication method to the one that is now .. ?

    It was very good as it was ..

    Now it gives error ..

    Also WTF is “Google Authentication Code” ?

    Why not tracking id or the login method authentication as it was before … ?

    Cant understand things like that ..

    It was working very simple .. now its not ..

    Just my two cents .. Going for another plugin or manual mode ..

    Hi,
    just FYI, I have the same problem, with the same error message…
    is there no solution???
    sam

    Hi,

    There is no solution of this, it is a requirement by Google sorry.

    We did not choose which authentication method to use, this is Google’s new authentication method, sorry.

    Google doesn’t care what directory is used for caching. The plugin should be using get_temp_dir() to establish the path to a viable temporary directory, rather than sys_get_temp_dir() (in google-api-php-client/src/config.php). sys_get_temp_dir is not reliable in shared environments.

    I agree with last comment, why on earth should this plugin have access to any folder outside of the scope of the website folders?

    I have the same errors with this plugin.

    Correct solution is 2 posts above. Where is the author?

    We took over this plugin 6~ months ago from the previous developer who had moved on. The plugin is still using the existing code base and has these errors. We are planning and working on something much bigger and more exciting, but that’s still a little bit off.

    If you believe your change works, send us a patch / .diff and we’ll review & update the plugin.

    Cheers,
    Ben

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘[Plugin: Google Analyticator] PHP errors’ is closed to new replies.